<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
  </PropertyGroup>


	<ItemGroup>
		<PackageReference Include="MediatR" Version="12.2.0" />
		<PackageReference Include="FluentValidation" Version="11.8.1" />
		<PackageReference Include="Microsoft.AspNetCore" Version="2.2.0" />
		<PackageReference Include="Microsoft.EntityFrameworkCore" Version="8.0.0" />
		<PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="8.0.0">
			<PrivateAssets>all</PrivateAssets>
			<IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
		</PackageReference>
		<PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="8.0.0">
			<PrivateAssets>all</PrivateAssets>
			<IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
		</PackageReference>
		<PackageReference Include="Pluralize.NET" Version="1.0.2" />
		<PackageReference Include="Npgsql.EntityFrameworkCore.PostgreSQL" Version="8.0.0" />
		<PackageReference Include="Microsoft.AspNetCore.Identity.EntityFrameworkCore" Version="8.0.0" />
		<PackageReference Include="StackExchange.Redis" Version="2.7.4" />
		<PackageReference Include="StackExchange.Redis.Extensions.Core" Version="9.1.0" />
	</ItemGroup>

  <ItemGroup>
    <Folder Include="Handlers\Brands\" />
    <Folder Include="Handlers\Complexes\" />
    <Folder Include="Models\" />
    <Folder Include="Extensions\" />
    <Folder Include="Services\Abstracts\" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\NetinaShop.Domain\NetinaShop.Domain.csproj" />
  </ItemGroup>


	<ItemGroup>
		<Using Include="Mapster" />
		<Using Include="MediatR" />
		<Using Include="Microsoft.AspNetCore.Builder" />
		<Using Include="Microsoft.AspNetCore.Identity" />
		<Using Include="Microsoft.AspNetCore.Identity.EntityFrameworkCore" />
		<Using Include="Microsoft.EntityFrameworkCore" />
		<Using Include="Microsoft.EntityFrameworkCore.ChangeTracking" />
		<Using Include="Microsoft.EntityFrameworkCore.Infrastructure" />
		<Using Include="Microsoft.EntityFrameworkCore.Storage" />
		<Using Include="Microsoft.Extensions.DependencyInjection" />
		<Using Include="Microsoft.Extensions.Logging" />
		<Using Include="Microsoft.Extensions.Options" />
		<Using Include="NetinaShop.Common.Extensions" />
		<Using Include="NetinaShop.Common.Models" />
		<Using Include="NetinaShop.Common.Models.Api" />
		<Using Include="NetinaShop.Common.Models.Entity" />
		<Using Include="NetinaShop.Common.Models.Exception" />
		<Using Include="NetinaShop.Domain.CommandQueries.Commands" />
		<Using Include="NetinaShop.Domain.CommandQueries.Queries" />
		<Using Include="NetinaShop.Domain.Dtos.LargDtos" />
		<Using Include="NetinaShop.Domain.Dtos.ResponseDtos" />
		<Using Include="NetinaShop.Domain.Dtos.SmallDtos" />
		<Using Include="NetinaShop.Domain.Entities.Discounts" />
		<Using Include="NetinaShop.Domain.Entities.ProductCategories" />
		<Using Include="NetinaShop.Domain.Entities.Products" />
		<Using Include="NetinaShop.Domain.Entities.Users" />
		<Using Include="NetinaShop.Domain.Enums" />
		<Using Include="NetinaShop.Domain.Mappers" />
		<Using Include="NetinaShop.Domain.Models.Claims" />
		<Using Include="NetinaShop.Domain.Models.Settings" />
		<Using Include="NetinaShop.Repository.Abstracts" />
		<Using Include="NetinaShop.Repository.Extensions" />
		<Using Include="NetinaShop.Repository.Models" />
		<Using Include="NetinaShop.Repository.Repositories.Base" />
		<Using Include="NetinaShop.Repository.Repositories.Base.Contracts" />
		<Using Include="NetinaShop.Repository.Repositories.Entity.Abstracts" />
		<Using Include="NetinaShop.Repository.Services.Abstracts" />
		<Using Include="Pluralize.NET" />
		<Using Include="System.Diagnostics" />
		<Using Include="System.Reflection" />
	</ItemGroup>

</Project>
